diff -up kbd-1.15/man/man1/showkey.1_old kbd-1.15/man/man1/showkey.1
--- kbd-1.15/man/man1/showkey.1_old	2008-03-13 17:46:23.000000000 +0100
+++ kbd-1.15/man/man1/showkey.1	2008-12-10 12:31:38.000000000 +0100
@@ -80,6 +80,19 @@ corresponds to what the keyboard hardwar
 to know the scan codes sent by various keys it is better to boot a
 2.4 kernel. Since 2.6.9 there also is the boot option atkbd.softraw=0
 that tells the 2.6 kernel to return the actual scan codes.
+
+.SH NOTES
+The raw scan codes are available only on AT and PS/2 keyboards,
+and even then they are disabled unless the
+.B atkbd.softraw=0
+kernel parameter is used.
+When the raw scan codes are not available, the kernel uses a fixed built-in
+table to produce scan codes from keycodes.  Thus,
+.BR setkeycodes (8)
+can affect the output of
+.B showkey
+in scan code dump mode.
+
 .SH "SEE ALSO"
 .BR loadkeys (1),
 .BR dumpkeys (1),
diff -up kbd-1.15/man/man8/setkeycodes.8_old kbd-1.15/man/man8/setkeycodes.8
--- kbd-1.15/man/man8/setkeycodes.8_old	2008-12-10 12:31:56.000000000 +0100
+++ kbd-1.15/man/man8/setkeycodes.8	2008-12-10 12:37:36.000000000 +0100
@@ -41,6 +41,10 @@ to showkey(1), the command
 will assign the keycode 112 to it, and then loadkeys(1) can be used
 to define the function of this key.
 
+USB keyboards have standardized keycodes and
+.B setkeycodes
+doesn't affect them at all.
+
 .SH "2.6 KERNELS"
 In 2.6 kernels key codes lie in the range 1-255, instead of 1-127.
 (It might be best to confine oneself to the range 1-239.)
@@ -54,6 +58,14 @@ None.
 .SH BUGS
 The keycodes of X have nothing to do with those of Linux.
 Unusual keys can be made visible under Linux, but not under X.
+
+.B setkeycodes
+affects only the "first" input device
+that has modifiable scancode-to-keycode mapping.
+If there is more than one such device,
+.B setkeycodes
+cannot change the mapping of other devices than the "first" one.
+
 .SH "SEE ALSO"
 .I "dumpkeys (1), loadkeys (1), showkey (1), getkeycodes (8)"
 
